#include <graphics.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include "..\comp\Buttons\NumButt.h"

CNumButton::CNumButton(int X, int Y, int Width,int Height, char* Text, short Number) : CButton(X,Y,Width,Height,Text)
{
	char szDummy[4];
	if(Number < 10)
		szText[0] = ' ';
//	itoa(Number,szDummy,10);
	sprintf(szText,"%2d %s",Number,Text);
	
//	strcpy(&szText[],szDummy);
//	szText[2] = ' ';
//	strcpy(&szText[3],Text);
	Draw();
}